Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
sensors::NumericSensor::Reading Struct Reference

Numeric sensor reading. More...

## Classes
struct | Status
| Numeric sensor status. More...

## Public Attributes
time | timestamp
| UNIX timestamp (UTC) of last sample.
boolean | available
| `true` if the sensor is available
Status | status
| Numeric sensor status.
boolean | valid
| `true` if the sensor reading is valid
double | value
| Numeric sensor reading, not rounded.

## Detailed Description

Numeric sensor reading.

Definition at line 125 of file NumericSensor.idl.

## Member Data Documentation

## ◆ available

boolean sensors::NumericSensor::Reading::available

`true` if the sensor is available

Definition at line 140 of file NumericSensor.idl.

## ◆ status

Status sensors::NumericSensor::Reading::status

Numeric sensor status.

Definition at line 141 of file NumericSensor.idl.

## ◆ timestamp

time sensors::NumericSensor::Reading::timestamp

UNIX timestamp (UTC) of last sample.

Definition at line 139 of file NumericSensor.idl.

## ◆ valid

boolean sensors::NumericSensor::Reading::valid

`true` if the sensor reading is valid

Definition at line 142 of file NumericSensor.idl.

## ◆ value

double sensors::NumericSensor::Reading::value

Numeric sensor reading, not rounded.

Definition at line 143 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl